/**
 * Returns `true` if the keyboard event was triggered by the `Enter` key
 */
function isTabKey(event) {
    return event.key === 'Tab';
}
/**
 * Returns `true` if the keyboard event was triggered by the `Enter` key
 */
function isEnterKey(event) {
    return event.key === 'Enter';
}
/**
 * Returns `true` if the keyboard event was triggered by the `Space` key
 */
function isSpaceKey(event) {
    return event.key === ' ';
}
/**
 * Returns `true` if the keyboard event was triggered by the `Escape` key
 */
function isEscapeKey(event) {
    return event.key === 'Escape';
}
/**
 * Returns `true` if the keyboard event was triggered by the `Backspace` key
 */
function isBackspaceKey(event) {
    return event.key === 'Backspace';
}
/**
 * Returns `true` if the keyboard event was triggered by the `ArrowDown` key
 */
function isArrowDownKey(event) {
    return event.key === 'ArrowDown' || event.key === 'Down';
}
/**
 * Returns `true` if the keyboard event was triggered by the `ArrowUp` key
 */
function isArrowUpKey(event) {
    return event.key === 'ArrowUp' || event.key === 'Up';
}
/**
 * Returns `true` if the keyboard event was triggered by the `ArrowLeft` key
 */
function isArrowLeftKey(event) {
    return event.key === 'ArrowLeft' || event.key === 'Left';
}
/**
 * Returns `true` if the keyboard event was triggered by the `ArrowRight` key
 */
function isArrowRightKey(event) {
    return event.key === 'ArrowRight' || event.key === 'Right';
}
/**
 * Returns `true` if the keyboard event was triggered by the `Home` key
 */
function isHomeKey(event) {
    return event.key === 'Home';
}
/**
 * Returns `true` if the keyboard event was triggered by the `End` key
 */
function isEndKey(event) {
    return event.key === 'End';
}

export { isEnterKey as a, isArrowUpKey as b, isArrowLeftKey as c, isArrowDownKey as d, isArrowRightKey as e, isHomeKey as f, isEndKey as g, isTabKey as h, isSpaceKey as i, isEscapeKey as j, isBackspaceKey as k };
